com.aliyun.player.videoview

## Enum AliDisplayView.DisplayViewType

- java.lang.Object
- - java.lang.Enum<AliDisplayView.DisplayViewType>
  - - com.aliyun.player.videoview.AliDisplayView.DisplayViewType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AliDisplayView.DisplayViewType>
  Enclosing class:
    AliDisplayView

      public static enum AliDisplayView.DisplayViewType
      extends java.lang.Enum<AliDisplayView.DisplayViewType>

  Display view type

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Either` In either case, the appropriate view will be created according to the specific content
    `SurfaceView` SurfaceView
    `TextureView` TextureView

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AliDisplayView.DisplayViewType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AliDisplayView.DisplayViewType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Either

          public static final AliDisplayView.DisplayViewType Either

      In either case, the appropriate view will be created according to the specific content

    - #### SurfaceView

          public static final AliDisplayView.DisplayViewType SurfaceView

      SurfaceView

    - #### TextureView

          public static final AliDisplayView.DisplayViewType TextureView

      TextureView

  - ### Method Detail

    - #### values

          public static AliDisplayView.DisplayViewType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AliDisplayView.DisplayViewType c : AliDisplayView.DisplayViewType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AliDisplayView.DisplayViewType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null